## irqbalance 1.9.4

=== contrib/meson_options.txt ===
option('capng', type : 'feature',
  description : 'Build with libcap-ng support',
)

option('numa', type : 'feature', value: 'enabled',
  description : 'Build with numa support',
)

option('systemd', type : 'feature', value: 'enabled',
  description : 'Build with systemd support',
)

option('thermal', type : 'feature',
  description : 'Build with thermal support',
)

option('ui', type : 'feature',
  description : 'Build the UI component',
)

=== debian/changelog ===
irqbalance (1.9.4-1+deb13u1) trixie; urgency=medium

  * d/gbp.conf: set debian-branch to debian/trixie
  * Drop ProtectKernelTunables=yes in irqbalance.service.
    Done via new patch: d/p/drop-protectkerneltunables.patch
    Thanks to Marco d'Itri (Closes: #1114676)

 -- Paride Legovini <paride@debian.org>  Wed, 10 Sep 2025 18:50:24 +0200

irqbalance (1.9.4-1) unstable; urgency=medium

  * New upstream version 1.9.4
  * d/patches: drop all patches (upstreamed)
  * d/control: replace obsolete Build-Depends: pkg-config with pkgconf
  * d/control: bump Standards-Version to 4.7.0, no changes required

 -- Paride Legovini <paride@debian.org>  Fri, 27 Sep 2024 14:36:25 +0200

=== debian/control ===
Source: irqbalance
Section: utils
Priority: optional
Maintainer: Paride Legovini <paride@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-runit (>= 2.8.3),
 libcap-ng-dev,
 libglib2.0-dev,
 libncurses-dev,
 libnuma-dev,
 libsystemd-dev,
 pkgconf,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/irqbalance.git
Vcs-Browser: https://salsa.debian.org/debian/irqbalance
Homepage: https://github.com/Irqbalance/irqbalance
Rules-Requires-Root: no

Package: irqbalance
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 ${runit:Breaks},
Conflicts:
 ${runit:Conflicts},
Description: Daemon to balance interrupts for SMP systems
 Daemon to balance interrupts across multiple CPUs, which can lead to better
 performance and IO balance on SMP systems. This package is especially useful
 on systems with multi-core processors, as interrupts will typically only be
 serviced by the first core.
 .
 Note: irqbalance is not useful if you don't have more than one CPU core.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# These configure/build flags can be modified by a vendor-specific
# Makefile snippet. See debian/vendors/100ubuntu.mk for an example.
dhflags = --with runit
confflags = --with-systemd

# Incude vendor specific configuration. The vendor files have to be created
# so their order respects the taxonomy of the downstream distributions.
include debian/vendors/*.mk

%:
	dh $@ $(dhflags)

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

execute_before_dh_installsystemd:
	# Treat '/path/to/irqbalance.env' in the upstream service file as a
	# template and substitute it, rather than handling it with a patch.
	#
	# Write the modified file to debian/ so that dh_installsystemd will
	# choose its placement according the Debian standards and conventions.
	sed 's|/path/to/irqbalance.env|/etc/default/irqbalance|' < misc/irqbalance.service > debian/irqbalance.service

=== debian/watch ===
version=4
  https://github.com/irqbalance/irqbalance/tags .*/v?(\d\S*)\.tar\.gz
